Skip to content
vocapable.Docs

A single-use capability for the live transcript socket (the handler only)

POST
/v1/workspace/calls/{call_id}/transcript-token
curl --request POST \
--url https://api.vocapable.com/v1/workspace/calls/example/transcript-token \
--header 'Authorization: Bearer <token>'
call_id
required
Call Id
string

Successful Response

Media typeapplication/json
WorkspaceTranscriptToken

A single-use, 60-second capability for the live transcript socket.

Connect to url and send {"type": "start", "token": …} as the first frame; the token is never put in the URL. Frames are ready, transcript (one :class:~vocapable_contracts.handoff.RealtimeTranscriptDelta) and notice.

object
call_id
required
Call Id
string
url
required
Url
string
token
required
Token
string
expires_at
required
Expires At
string format: date-time
single_use
Single Use
boolean
default: true
Example
{
"single_use": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}